#! /bin/sh /usr/share/dpatch/dpatch-run
## 40_file_saving.dpatch by Alexey Antipov (1a_antipov@mail.ru)
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: When using safe file saving, make no change in attributes
## DP: (use GFile API instead of g_file_set_contents)
@DPATCH@
--- ./src/document.c	(revision 4788)
+++ ./src/src/document.c	(working copy)
@@ -1712,7 +1712,8 @@
 	}
 	else
 	{
-		g_file_set_contents(locale_filename, data, len, &error);
+		GFile *f = g_file_new_for_path(locale_filename);
+   g_file_replace_contents(f, data, len, NULL, FALSE, G_FILE_CREATE_NONE, NULL, NULL, &error);
 		if (error != NULL)
 		{
 			gchar *msg = g_strdup(error->message);
